Jekyll 1.5.1にアップデートしたところ、markdownテキストの変換に不具合が生じるようになった。具体的には、コードブロックの最初に空行が入るようになった。


code
daradaradara...

こんな感じ。この不具合の原因はmarukuにあり、既にmaruku v0.7.1で修正されたようだが、Jekyll v1.5.0よりmaruku v0.7.0に固定されたためエラーが再発した。いまはJekyll v1.4.2を使っている。このことはまだpull requestされていないのか?でもやり方よくわからないし、改善されるまで待つか。。。

$ gem uninstall jekyll
$ gem uninstall maruku
$ gem install jekyll -v "= 1.4.2"

comments powered by Disqus

※コメント欄が表示されない場合はdisqusについてJavascriptが有効であることを確認して下さい.

(C) 2008-2017 akm. This blog theme is based on sakmug. Hosted by Xdomain